#!/bin/bash
# --- default prefix
PREFIX=$PWD

# --- default configure
CONFIG=./configure

# --- does it exist?
if ! test -e $CONFIG; then
  CONFIG=../configure
fi

# --- does it exist?
if ! test -e $CONFIG; then
  CONFIG=./Configure
fi

# --- does it exist?
if ! test -e $CONFIG; then
  CONFIG=../Configure
fi

# --- if not, test for  ../configure and bomb out if it doesn't exist
if ! test -e $CONFIG; then
   echo "I cannot find any configure script in either '$PWD' or '$PWD/..' "
else
   make distclean
   # run "configure" with 
   echo "Running $CONFIG" 
   $CONFIG --prefix=$PREFIX -disable-prosaext -enable-double -enable-math -disable-shared "$@"
   # 538k  $CONFIG --prefix=$PREFIX -enable-double -enable-math -enable-history -disable-shared "$@"
   make CFLAGS="-s -O2"
fi
