/***************************************************************************
**+----------------------------------------------------------------------+**
**|                                ****                                  |**
**|                                ****                                  |**
**|                                ******o***                            |**
**|                          ********_///_****                           |**
**|                           ***** /_//_/ ****                          |**
**|                            ** ** (__/ ****                           |**
**|                                *********                             |**
**|                                 ****                                 |**
**|                                  ***                                 |**
**|                                                                      |**
**|     Copyright (c) 1998 - 2005 Texas Instruments Incorporated         |**
**|                        ALL RIGHTS RESERVED                           |**
**|                                                                      |**
**+----------------------------------------------------------------------+**
***************************************************************************/

/**************************************************************************/
/*                                                                        */
/*   MODULE:  release.h                                                   */
/*   PURPOSE: DSL-PSP release specific definitions file.                 */
/*                                                                        */
/**************************************************************************/


#ifndef _RELEASE_H_
#define _RELEASE_H_

#define PSP_RELEASE_TYPE       "DSL-PSP 5.2.1.1 on DEV_BasePSP7.4.4.24_Patch"

#define PSP_VERSION_MAJOR      7
#define PSP_VERSION_MINOR      4
#define PSP_VERSION_PATCH      4
#define PSP_VERSION_BUILD      24

#define DSL_PSP_VERSION_MAJOR      5
#define DSL_PSP_VERSION_MINOR      2
#define DSL_PSP_VERSION_PATCH      1
#define DSL_PSP_VERSION_BUILD      1

#define BOOT_VERSION_MAJOR     1
#define BOOT_VERSION_MINOR     4
#define BOOT_VERSION_PATCH     0
#define BOOT_VERSION_BUILD     4


#define PSPWIZ_VERSION_MAJOR    0
#define PSPWIZ_VERSION_MINOR    5

#endif /* _RELEASE_H_ */
